package co.yixiang.yshop.module.distributor.enums;

import co.yixiang.yshop.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    ErrorCode DISTRIBUTOR_NOT_EXISTS = new ErrorCode(1000001, "分销商不存在");

    ErrorCode DISTRIBUTOR_USER_EXISTS = new ErrorCode(1000002, "您已申请过成为分销商请勿重复申请");

    ErrorCode LEVEL_NOT_EXISTS = new ErrorCode(1100001, "分销商等级不存在");

    ErrorCode LEVEL_EXISTS = new ErrorCode(1100002, "分销商等级已存在，请从新选择");

    ErrorCode LEVEL_SUPERIOR_NOT_EXISTS = new ErrorCode(1100003, "上一等级未设置，请从新选择");

    ErrorCode LEVEL_USERCOUNT_ERROR = new ErrorCode(1100004, "累计金额需要大于上一等级");

    ErrorCode LEVEL_AMOUNT_ERROR = new ErrorCode(1100005, "累计用户需要大于上一等级");

    ErrorCode LEVEL_WAGES_ERROR = new ErrorCode(1100006, "累计佣金需要大于上一等级");

    ErrorCode LEVEL_USERCOUNT_LESS_ERROR = new ErrorCode(1100007, "累计金额需要小于下一等级");

    ErrorCode LEVEL_AMOUNT_LESS_ERROR = new ErrorCode(1100008, "累计用户需要小于下一等级");

    ErrorCode LEVEL_WAGES_LESS_ERROR = new ErrorCode(1100009, "累计佣金需要小于下一等级");


    ErrorCode ORDER_NOT_EXISTS = new ErrorCode(80003, "分销商订单不存在");

    ErrorCode USER_NOT_EXISTS = new ErrorCode(80004, "分销商所属用户不存在");

    ErrorCode WAGES_NOT_EXISTS = new ErrorCode(80005, "分销商佣金不存在");

    ErrorCode WAGES_LOG_NOT_EXISTS = new ErrorCode(80006, "分销商佣金记录不存在");

    ErrorCode DYNAMICS_NOT_EXISTS = new ErrorCode(80007, "分销商动态不存在");

    ErrorCode WITHDRAWAL_METHOD_NOT_EXISTS = new ErrorCode(80008, "分销商提现方式不存在");

    ErrorCode WITHDRAWAL_METHOD_EXISTS_USER = new ErrorCode(1200001, "提现方式不属于此登录用户");

    ErrorCode WITHDRAWAL_AMOUNT_INSUFFICIENT = new ErrorCode(1200002, "可提现余额不足");

    ErrorCode WITHDRAWAL_ALI_NOT_EXISTS = new ErrorCode(1200003, "未绑定支付宝账号");
}

